
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #362

some opus file  won'tp lay

October 26, 2013 13:29 - Foo Bar

Status: Closed Start date: October 26, 2013

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/mpg123 Estimated time: 0.00 hour

Target version: 3.4.2   

Affects version: 3.4.1   

Description

I did a batch encode of flac to opus and some of th

History

#1 - October 26, 2013 13:35 - Foo Bar

<accidentially hit return>

audacious version 3.4.1

affects ffmpeg plugin

..some of the opus files won't load. ffplay plays them so I think it's the audacious plugin. I cant attach file due to size restrictions. Where do I mail it to?

#2 - October 26, 2013 16:01 - John Lindgren

Try a file sharing service such as Box.com or Ubuntu One.

#3 - October 26, 2013 19:58 - Foo Bar

https://drive.google.com/file/d/0B6qCu9FrptR4U3ZaeUZBN2h2QW8/edit?usp=sharing

#4 - October 27, 2013 00:21 - Michael Schwendt

Interesting. The ffmpeg plugin here doesn't advertise ".opus" as a file extension it can handle, so somewhat later the mpg123 input plugin mistakenly

accepts the file when probing its contents.

A temporary work-around is to rename from *.opus to *.ogg.

#5 - October 27, 2013 02:29 - Foo Bar

Odd, it seems av_probe_input_format2() is unreliable. In my own project I skip probe and just use avformat_open_input() followed by

avformat_find_stream_info(). That way the file is opened and detected correctly. Btw, out of the 8 files I encoded, 2 have this problem.

#6 - October 31, 2013 01:08 - John Lindgren

- Category set to plugins/mpg123

- Status changed from New to Closed

- Target version set to 3.4.2

- % Done changed from 0 to 100

- Affects version 3.4.1 added

The proper file extension would actually be .oga since .ogg is reserved for Ogg Vorbis [1].
https://drive.google.com/file/d/0B6qCu9FrptR4U3ZaeUZBN2h2QW8/edit?usp=sharing


Regardless, mpg123 should not be picking up this file.  Using the same decoding flags as in 3.5-devel seems to fix the problem:

https://github.com/audacious-media-player/audacious-plugins/commit/b0d9ac6d009a01cfb6eefe4e4aef0ef477c9befe

[1] http://wiki.xiph.org/MIME_Types_and_File_Extensions
